summaryrefslogtreecommitdiffstats
path: root/.local/bin/arkenfox-auto-update
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2023-08-23 12:28:53 +0200
committerLuke Smith <luke@lukesmith.xyz>2023-08-23 12:28:53 +0200
commita360fadd5fd95acf954eac8b15803ff05ab9512a (patch)
tree6de1826a2244144e2bc1df33e0dec6baddb75c41 /.local/bin/arkenfox-auto-update
parent8315e4c885aaf3de5a1f30bc8ed0e1f3c72a24f0 (diff)
parentf26e5678e626e604ed586fc6420b944dc023d3f2 (diff)
downloadeibhear-a360fadd5fd95acf954eac8b15803ff05ab9512a.tar.gz
eibhear-a360fadd5fd95acf954eac8b15803ff05ab9512a.tar.zst
eibhear-a360fadd5fd95acf954eac8b15803ff05ab9512a.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice
Diffstat (limited to '.local/bin/arkenfox-auto-update')
-rwxr-xr-x.local/bin/arkenfox-auto-update5
1 files changed, 4 insertions, 1 deletions
diff --git a/.local/bin/arkenfox-auto-update b/.local/bin/arkenfox-auto-update
index 05f4ca7..7664a4f 100755
--- a/.local/bin/arkenfox-auto-update
+++ b/.local/bin/arkenfox-auto-update
@@ -16,5 +16,8 @@ IFS='
# Update each found profile.
for profile in $profiles; do
- arkenfox-updater -p "${profile%%/user.js*}" -s
+ userjs=${profile%%/user.js*}
+ user=$(stat -c '%U' "$userjs") || continue
+
+ su -l "$user" -c "arkenfox-updater -c -p $userjs -s"
done